linux: 3.8.0-27.40 -proposed tracker

Bug #1199128 reported by Brad Figg on 2013-07-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Raring
Medium
Unassigned

Bug Description

This bug is for tracking the 3.8.0-27.40 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 08. July 2013 20:05 UTC
kernel-stable-Prepare-package-end:Tuesday, 09. July 2013 08:05 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 09. July 2013 08:05 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 09. July 2013 09:00 UTC
kernel-stable-Verification-testing-start:Tuesday, 09. July 2013 10:01 UTC
kernel-stable-Verification-testing-end:Friday, 19. July 2013 22:06 UTC
kernel-stable-Certification-testing-start:Friday, 19. July 2013 22:06 UTC
kernel-stable-Security-signoff-start:Friday, 19. July 2013 22:06 UTC
kernel-stable-Regression-testing-start:Friday, 19. July 2013 22:06 UTC
kernel-stable-Regression-testing-end:Monday, 22. July 2013 15:00 UTC
kernel-stable-Certification-testing-end:Thursday, 25. July 2013 08:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 25. July 2013 19:00 UTC
kernel-stable-Security-signoff-end:Thursday, 25. July 2013 19:00 UTC
kernel-stable-Promote-to-updates-end:Monday, 29. July 2013 12:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 29. July 2013 14:08 UTC

CVE References

Brad Figg (brad-figg) on 2013-07-08
tags: added: kernel-release-tracking-bug
tags: added: raring
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-07-09
summary: - linux: 3.8.0-27.39 -proposed tracker
+ linux: 3.8.0-27.40 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1199252
linux-ppc - bug 1199253

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-raring (precise) - bug 1199255

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-07-09
description: updated
Brad Figg (brad-figg) on 2013-07-09
description: updated
Brad Figg (brad-figg) on 2013-07-19
description: updated
Para Siva (psivaa) on 2013-07-22
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-07-22
description: updated
Chris Coulson (chrisccoulson) wrote :
Download full text (12.2 KiB)

I keep experiencing a crash when trying to run kvm with this kernel on the host. This doesn't happen with the current kernel in raring-updates

Jul 24 10:32:41 farnsworth kernel: [ 91.512726] general protection fault: 0000 [#1] SMP
Jul 24 10:32:41 farnsworth kernel: [ 91.512757] Modules linked in: vhost_net macvtap(F) macvlan(F) ip6table_filter(F) ip6_tables(F) ebtable_nat(F) ebtables(F) xt_state(F) ipt_REJECT(F) xt_CHECKSUM(F) iptable_mangle(F) xt_tcpudp(F) iptable_filter(F) ipt_MASQUERADE(F) iptable_nat(F) nf_conntrack_ipv4(F) nf_defrag_ipv4(F) nf_nat_ipv4(F) nf_nat(F) nf_conntrack(F) ip_tables(F) x_tables(F) bridge(F) stp(F) llc(F) snd_hda_codec_hdmi snd_hda_codec_idt bnep rfcomm binfmt_misc(F) nls_iso8859_1(F) ch341 coretemp usbserial kvm_intel kvm ghash_clmulni_intel(F) cdc_mbim cdc_ncm uvcvideo btusb joydev(F) videobuf2_vmalloc aesni_intel(F) usbnet videobuf2_memops bluetooth aes_x86_64(F) xts(F) lrw(F) gf128mul(F) ablk_helper(F) cryptd(F) videobuf2_core snd_usb_audio arc4(F) videodev snd_usbmidi_lib iwldvm cdc_wdm mac80211 cdc_acm ppdev(F) dell_wmi sparse_keymap dell_laptop dcdbas dm_multipath(F) scsi_dh(F) microcode(F) iwlwifi snd_hda_intel snd_hda_codec snd_hwdep(F) snd_pcm(F) snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F)
Jul 24 10:32:41 farnsworth kernel: snd_rawmidi(F) snd_seq(F) cfg80211 snd_seq_device(F) snd_timer(F) psmouse(F) serio_raw(F) snd(F) soundcore(F) mei lpc_ich parport_pc(F) i915 wmi video(F) drm_kms_helper drm i2c_algo_bit mac_hid lp(F) parport(F) hid_generic usbhid hid ahci(F) libahci(F) sdhci_pci sdhci e1000e(F)
Jul 24 10:32:41 farnsworth kernel: [ 91.513393] CPU 3
Jul 24 10:32:41 farnsworth kernel: [ 91.513405] Pid: 43, comm: ksmd Tainted: GF 3.8.0-27-generic #40-Ubuntu Dell Inc. Latitude E6430/0CPWYR
Jul 24 10:32:41 farnsworth kernel: [ 91.513449] RIP: 0010:[<ffffffff8117d28a>] [<ffffffff8117d28a>] kmem_cache_alloc+0x5a/0x130
Jul 24 10:32:41 farnsworth kernel: [ 91.513490] RSP: 0018:ffff8804046dfdc0 EFLAGS: 00010282
Jul 24 10:32:41 farnsworth kernel: [ 91.513514] RAX: 0000000000000000 RBX: ffff880200000001 RCX: 000000000003d148
Jul 24 10:32:41 farnsworth kernel: [ 91.513544] RDX: 000000000003d147 RSI: 00000000000080d0 RDI: ffff88040d801700
Jul 24 10:32:41 farnsworth kernel: [ 91.513574] RBP: ffff8804046dfdf0 R08: 0000000000016d20 R09: ffff880353745ffc
Jul 24 10:32:41 farnsworth kernel: [ 91.513604] R10: ffff880353745000 R11: 0000000000000000 R12: 00000000000080d0
Jul 24 10:32:41 farnsworth kernel: [ 91.513633] R13: ffff88040d801700 R14: ffffffff81178987 R15: b300007f8cc34d34
Jul 24 10:32:41 farnsworth kernel: [ 91.513663] FS: 0000000000000000(0000) GS:ffff88041e380000(0000) knlGS:0000000000000000
Jul 24 10:32:41 farnsworth kernel: [ 91.513697] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 24 10:32:41 farnsworth kernel: [ 91.513722] CR2: 0000000000fc00f8 CR3: 0000000001c0d000 CR4: 00000000001427e0
Jul 24 10:32:41 farnsworth kernel: [ 91.513753] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul 24 10:32:41 farnsworth kernel: [ 91.513783] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul 24 10:32:41 farnsworth k...

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have begun testing this -proposed kernel

Sylvain Pineau (sylvain-pineau) wrote :

The Hardware Certification team have completed testing this -proposed kernel. No regressions were observed . The report is available at: http://people.canonical.com/~hwcert/sru-testing/raring/3.8.0-27.40/raring-proposed.html

tags: added: certification-testing-passed
Sylvain Pineau (sylvain-pineau) wrote :

Note: We don't run KVM tests for SRU.

Brad Figg (brad-figg) on 2013-07-25
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-07-25
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package linux - 3.8.0-27.40

---------------
linux (3.8.0-27.40) raring; urgency=low

  [Brad Figg]

  * UBUNTU: [Config] CONFIG_ARM_ERRATA_643719=y

linux (3.8.0-27.39) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1199128

  [ Brad Figg ]

  * [Config] CONFIG_ATH9K_LEGACY_RATE_CONTROL=y

  [ Seth Forshee ]

  * SAUCE: Work around broken ACPI backlight on ThinkPad T430
    - LP: #1183856

  [ Stefan Bader ]

  * (d-i) Add dm-snapshot to md-modules
    - LP: #1191726

  [ Tim Gardner ]

  * [Config] CONFIG_SUNRPC_DEBUG=y
    - LP: #1127319

  [ Upstream Kernel Changes ]

  * Revert "ath9k_hw: Update rx gain initval to improve rx sensitivity"
    - LP: #1193126
  * Revert "serial: 8250_pci: add support for another kind of NetMos
    Technology PCI 9835 Multi-I/O Controller"
    - LP: #1190967
  * mac80211: close AP_VLAN interfaces before unregistering all
    - LP: #1193126
  * ath9k: use correct OTP register offsets for AR9550
    - LP: #1193126
  * regulator: palmas: Fix "enable_reg" to point to the correct reg for
    SMPS10
    - LP: #1193126
  * net: can: kvaser_usb: fix reception on "USBcan Pro" and "USBcan R" type
    hardware.
    - LP: #1193126
  * tg3: Add read dma workaround for 5720
    - LP: #1193126
  * xhci-mem: init list heads at the beginning of init
    - LP: #1193126
  * xhci: fix list access before init
    - LP: #1193126
  * xhci - correct comp_mode_recovery_timer on return from hibernate
    - LP: #1193126
  * xhci: Disable D3cold for buggy TI redrivers.
    - LP: #1193126
  * usb: dwc3: pci: PHY should be deleted later than dwc3 core
    - LP: #1193126
  * usb: dwc3: gadget: free trb pool only from epnum 2
    - LP: #1193126
  * usb: musb: make use_sg flag URB specific
    - LP: #1193126
  * USB: revert periodic scheduling bugfix
    - LP: #1193126
  * USB: serial: fix Treo/Kyocera interrrupt-in urb context
    - LP: #1193126
  * USB: visor: fix initialisation of Treo/Kyocera devices
    - LP: #1193126
  * USB: mos7720: fix DMA to stack
    - LP: #1193126
  * USB: mos7840: fix DMA to stack
    - LP: #1193126
  * USB: ark3116: fix control-message timeout
    - LP: #1193126
  * USB: iuu_phoenix: fix bulk-message timeout
    - LP: #1193126
  * USB: mos7720: fix message timeouts
    - LP: #1193126
  * USB: zte_ev: fix control-message timeouts
    - LP: #1193126
  * USB: Serial: cypress_M8: Enable FRWD Dongle hidcom device
    - LP: #1193126
  * USB: serial: Add Option GTM681W to qcserial device table.
    - LP: #1193126
  * USB: zte_ev: fix broken open
    - LP: #1193126
  * USB: keyspan: fix bogus array index
    - LP: #1193126
  * USB: mos7720: fix hardware flow control
    - LP: #1193126
  * x86/PCI: Map PCI setup data with ioremap() so it can be in highmem
    - LP: #1193126
  * USB: whiteheat: fix broken port configuration
    - LP: #1193126
  * USB: option: blacklist network interface on Huawei E1820
    - LP: #1193126
  * USB: option,zte_ev: move most ZTE CDMA devices to zte_ev
    - LP: #1193126
  * ecryptfs: fixed msync to flush data
    - LP: #1193126
  * dmaengine: ste_dma40: fix pm runtime ref counting
    - LP: #1193126
  * cifs: fix off-by-one bug in build_unc...

Changed in linux (Ubuntu Raring):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-07-29
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers